Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QPrinter.Orientation

    java.lang.Object
      java.lang.Enum<QPrinter.Orientation>
          com.trolltech.qt.gui.QPrinter.Orientation

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QPrinter.Orientation>

Enclosing class:
  QPrinter

    public static enum QPrinter.Orientation

extends java.lang.Enum<QPrinter.Orientation>
implements QtEnumerator

This enum type (not to be confused with `Orientation`) is used to specify each page's orientation.

This type interacts with `QPrinter::PageSize` and QPrinter::setFullPage() to determine the final size of the page available to the application.

Enum Constant Summary
`Landscape` the page's width is greater than its height.
`Portrait` the page's height is greater than its width.

Method Summary
`static QPrinter.Orientation` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QPrinter.Orientation` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QPrinter.Orientation[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Portrait

    public static final QPrinter.Orientation Portrait

  the page's height is greater than its width.

### Landscape

    public static final QPrinter.Orientation Landscape

  the page's width is greater than its height.

Method Detail

### values

    public static final QPrinter.Orientation[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QPrinter.Orientation c : QPrinter.Orientation.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QPrinter.Orientation valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QPrinter.Orientation resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD